% Generate the spouses of each vertex.
% This assumes that the graph is symmetric, graph(i, j) == 1 if
% vertices are adjacent (and graph(i, i) == 0).

function [spouses] = generate_spouses(graph)

num_vars = length(graph);
spouses = cell(num_vars, 1);

for i = 1:num_vars
    spouses{i} = find(graph(i, :) == 1);
end
