%
% Return the mean vector that is implied by a particular
% choice of z_array
%

function [output_mean] = lvm_assemble_mean(z_array)

global graph;
global intercepts;

num_vars = length(graph);
output_mean = zeros(num_vars, 1);

for i = 1:num_vars
    v = z_array(i);
    output_mean(i) = intercepts{i}(v);
end
